CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > OpenFOAM Paraview & paraFoam

paraFoam not found

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Display Modes
Old   October 22, 2011, 16:04
Default
  #21
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,258
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Karl,

Are you sure these logs are updated? The log for ParaView states that cmake was not found, but it should have been found since you've installed it via apt-get!!

Start a new terminal and check if cmake is visible:
Code:
which cmake
If not, then try installing it once more:
Code:
sudo apt-get install cmake
Good luck!
Bruno
wyldckat is offline   Reply With Quote

Old   October 23, 2011, 05:29
Default
  #22
New Member
 
Karl
Join Date: Oct 2011
Posts: 10
Rep Power: 5
krl29 is on a distinguished road
hi Bruno,

this is so frustrating , i double, triple checked, i have indeed installed cmake:
/usr/bin/cmake
but the makePV log keeps telling me that: ./makeParaView: 295: cmake: not found
can you think of why? or what i might have done wrong?

Thank you for your patience,

karl
krl29 is offline   Reply With Quote

Old   October 23, 2011, 06:23
Default
  #23
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,258
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Karl,

OK, lets try this:
  1. Start a new terminal window.
  2. Check if cmake is visible:
    Code:
    which cmake
  3. Go to the ThirdParty folder and run makeParaView once more:
    Code:
    foam3rdParty
    ./makeParaView
Does it now find cmake?

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   October 23, 2011, 18:22
Default
  #24
New Member
 
Karl
Join Date: Oct 2011
Posts: 10
Rep Power: 5
krl29 is on a distinguished road
Quote:
Originally Posted by wyldckat View Post
Hi Karl,

Mmm... any chance you can use OpenFOAM 1.7.1 instead of 1.7.0? Because 1.7.0 will not compile properly with the default gcc 4.5.2 that comes with Ubuntu 11.04

If you can install 1.7.1, it just be easy enough to build everything after you installed those packages I've written in the previous post.

If you must really install 1.7.0, then you'll need a few more packages:
Code:
sudo apt-get install gcc-4.4 g++-4.4
Then run:
Code:
foam
echo "export WM_CC='gcc-4.4'" >> etc/prefs.sh
echo "export WM_CXX='g++-4.4'" >> etc/prefs.sh
These two lines will override the default compiler version and use the installed 4.4.x.
Additionally you'll need to make a little fix:
Code:
sed -i -e 's=cpp $(GFLAGS)=cpp -traditional-cpp $(GFLAGS)=' wmake/rules/linuxGcc/general
Then you can proceed as anticipated.

Best regards and good luck!
Bruno
hi Bruno,

iv given up on openfoam 1.7.0 for now. just installed 1.7.1 as you suggested, i now have a new problem:
I'm getting a paraview crash after typing the following commands

blockMesh
paraFoam

It displays the following message in the console window
created temporary 'cavity.OpenFOAM'
Read float past end of buffer
Read float past end of buffer
Read float past end of buffer
Read float past end of buffer

The paraview gui opens up with the following message:

A reader for "/home/karl/OpenFOAM/karl-1.7.1/run/tutorials/incompressible/icoFoam/cavity/cavity.OpenFOAM" cannot be found, please choose one:

I can see OpenFOAM in the list of readers. When I select it, it crashes paraview.

Thank you for your time

Karl
krl29 is offline   Reply With Quote

Old   October 24, 2011, 04:28
Default
  #25
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,258
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Karl,

For the error "Read float past end of buffer", it's missing a hack for forcing the shell to be in normal english. Running:
Code:
export LC_ALL=C
before paraFoam should fix the problem.

To permanently fix the problem:
Code:
foam
cd bin
rm paraFoam
wget "https://raw.github.com/OpenCFD/OpenFOAM-1.7.x/master/bin/paraFoam" -O paraFoam
chmod +x paraFoam
Or you can compare the file in the link above with your local version of paraFoam.

Best regards,
Bruno
wyldckat is offline   Reply With Quote

Old   October 24, 2011, 17:19
Default
  #26
New Member
 
Karl
Join Date: Oct 2011
Posts: 10
Rep Power: 5
krl29 is on a distinguished road
Hi Bruno,

i finally have a working version of OpenFoam 2.0 installed on my Ubuntu 11.04

hopefully it will work for the purpose of my project, but just want to say thank you for your time and patience, i learnt a thing or two about openfoam from you at least.

Best

Karl
krl29 is offline   Reply With Quote

Old   October 25, 2011, 03:14
Default
  #27
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 8,258
Blog Entries: 34
Rep Power: 84
wyldckat is just really nicewyldckat is just really nicewyldckat is just really nicewyldckat is just really nice
Hi Karl,

You're welcome

Have fun with OpenFOAM
Bruno
wyldckat is offline   Reply With Quote

Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are On
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
Building OpenFOAM1.7.0 from source ata OpenFOAM Installation 42 May 14, 2012 20:48
critical error during installation of openfoam Fabio88 OpenFOAM Installation 21 June 2, 2010 03:01
Problems in compiling paraview in Suse 10.3 platform chiven OpenFOAM Installation 3 December 1, 2009 08:21
Problems Installing OF 1.6 32 bit bucksfan OpenFOAM Installation 19 August 4, 2009 01:36
Regarding FoamX running Kindly help out hariya03 OpenFOAM Pre-Processing 0 April 18, 2008 04:26


All times are GMT -4. The time now is 06:48.